Insights Category Report by location report
curl --request POST \
--url https://api.birdeye.com/resources/v1/keywords/opmetric/location \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "04/01/2013",
"endDate": "05/3/2015",
"reviewSites": [
"2",
"110",
"1",
"100",
"3",
"303",
"6",
"84",
"33",
"202",
"25",
"21",
"4",
"5",
"63"
],
"businessNumbers": [
"9489687712",
"2136910876"
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/keywords/opmetric/location"
payload = {
"startDate": "04/01/2013",
"endDate": "05/3/2015",
"reviewSites": ["2", "110", "1", "100", "3", "303", "6", "84", "33", "202", "25", "21", "4", "5", "63"],
"businessNumbers": ["9489687712", "2136910876"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '04/01/2013',
endDate: '05/3/2015',
reviewSites: [
'2',
'110',
'1',
'100',
'3',
'303',
'6',
'84',
'33',
'202',
'25',
'21',
'4',
'5',
'63'
],
businessNumbers: ['9489687712', '2136910876']
})
};
fetch('https://api.birdeye.com/resources/v1/keywords/opmetric/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"alias": "7653 - Xrtrm - Balltown Rd",
"avgScore": 4,
"grade": "A",
"totalCount": 1679,
"metricForLocn": {
"Beverages": {
"category": "Beverages",
"avgScore": 3.8,
"count": 5,
"grade": "B+"
},
"Assortment (Beverages)": {
"category": "Assortment",
"parentCategory": "Beverages",
"avgScore": 5,
"count": 1,
"grade": "A+"
},
"Utensils": {
"category": "Utensils",
"avgScore": 0,
"count": 0
}
}
}
]{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
Insights Category Report by location
Insights Category Report by location provides the location-wise insights category data in the response.
POST
/
v1
/
keywords
/
opmetric
/
location
Insights Category Report by location report
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the Business.
Body
application/json
⌘I